summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xetc/rc.d/mountcritlocal5
-rw-r--r--etc/rc.d/mountlate5
2 files changed, 8 insertions, 2 deletions
diff --git a/etc/rc.d/mountcritlocal b/etc/rc.d/mountcritlocal
index 880f075..c25d62d 100755
--- a/etc/rc.d/mountcritlocal
+++ b/etc/rc.d/mountcritlocal
@@ -15,6 +15,8 @@ stop_cmd=":"
mountcritlocal_start()
{
+ local err
+
# Set up the list of network filesystem types for which mounting
# should be delayed until after network initialization.
case ${extra_netfs_types} in
@@ -34,9 +36,10 @@ mountcritlocal_start()
done
mount_excludes=${mount_excludes%,}
mount -a -t ${mount_excludes}
+ err=$?
echo '.'
- case $? in
+ case ${err} in
0)
;;
*)
diff --git a/etc/rc.d/mountlate b/etc/rc.d/mountlate
index 6da5e79..1b8a3e6 100644
--- a/etc/rc.d/mountlate
+++ b/etc/rc.d/mountlate
@@ -16,12 +16,15 @@ stop_cmd=":"
mountlate_start()
{
+ local err
+
# Mount "late" filesystems.
echo -n 'Mounting late file systems:'
mount -a -l
+ err=$?
echo '.'
- case $? in
+ case ${err} in
0)
;;
*)
OpenPOWER on IntegriCloud